Bug 188594 - oxygen widget style does not show default button and focused button separately
Summary: oxygen widget style does not show default button and focused button separately
Status: CONFIRMED
Alias: None
Product: Oxygen
Classification: Unclassified
Component: style (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: Hugo Pereira Da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-01 12:10 UTC by Will Stephenson
Modified: 2021-03-09 23:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Will Stephenson 2009-04-01 12:10:29 UTC
Version:            (using KDE 4.2.2)
Installed from:    SuSE RPMs

The same indicator (blue outline) is used in Oxygen for both focussed dialog buttons and the dialog's default button (set with QPushButton::setDefault()).  Changing the focus (with Tab) removes the Default indicator from the Default button.  Since the default button is pressed with Enter, while a focussed button can be pressed with Space, a user can tab to a button, see that the indicator moves from the Default button to the focussed button, press Enter, and be surprised when the non-focussed Default button is actually clicked.

Steps to reproduce:
Paste a large block of text in kde4-konversation.  This triggers the paste warning dialog, which has the Cancel button set as default.  Tab onto Paste and press Enter - the dialog is cancelled

Expected behaviour: 
Separate indicators for Default and Focus.  In Plastique, the default button has a blue outline, and the focused button has a dashed outline around its label.
Comment 1 Hugo Pereira Da Costa 2011-01-12 12:34:00 UTC
This is a valid bug (which I finally understood) and the only reason it is not fixed yet is that we have no visual representation idea of default button in mind.
Will keep on thinking about it.
Comment 2 Camilla Boemann 2011-01-12 12:52:39 UTC
The idea was that it would look the same, but indeed it should not be removed when tabbing away
Comment 3 Hugo Pereira Da Costa 2013-12-13 12:35:29 UTC
Git commit 0444b5400970f6d01d51a0b275e04b41b3300828 by Hugo Pereira Da Costa.
Committed on 29/11/2013 at 18:10.
Pushed by hpereiradacosta into branch 'KDE/4.11'.

tint default button

M  +8    -1    kstyles/oxygen/oxygenstyle.cpp

http://commits.kde.org/kde-workspace/0444b5400970f6d01d51a0b275e04b41b3300828
Comment 4 Hugo Pereira Da Costa 2013-12-13 12:36:58 UTC
Git commit 61a1a1011026c185450db75b32125dcc55941ca9 by Hugo Pereira Da Costa.
Committed on 29/11/2013 at 18:10.
Pushed by hpereiradacosta into branch 'master'.

tint default button

M  +8    -1    kstyles/oxygen/oxygenstyle.cpp

http://commits.kde.org/kde-workspace/61a1a1011026c185450db75b32125dcc55941ca9
Comment 5 Justin Zobel 2021-03-09 23:58:30 UTC
Thank you for the bug report.

As this report hasn't seen any changes in 5 years or more, we ask if you can please confirm that the issue still persists.

If this bug is no longer persisting or relevant please change the status to resolved.